> For the complete documentation index, see [llms.txt](https://docs.sportradar.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportradar.com/ufc-5.0/ufc-5.0-latam-spanish/building-static-data.md).

# Datos estáticos

Primero deberá crear una base de datos o recopilar una lista de "fightcards" (lista de eventos) y de las peleas asociadas a la cartelera/evento.

**Encabezados requeridos para usar nuestros puntos finales:**

| **Clave**      | **Valor**                                       |
| -------------- | ----------------------------------------------- |
| Aceptar        | application/vnd.imgarena.dde.api+json;version=1 |
| Contenido-Tipo | application/json                                |
| Autorización   | Portador eyvhaoudfgpdfgo\*                      |

Para recuperar una lista de "fightcards" o eventos, pulse el punto final fightcard de IMG UFC:

`https://dde-api.data.imgarena.com/mma/fightcards`

Tenga en cuenta los valores clave necesarios de este punto final:

| **Punto final** | **Descripción**                  | **Enlace a Sandbox** |
| --------------- | -------------------------------- | -------------------- |
| fightcardName   | El nombre de la cartelera        | -                    |
| identifier      | El identificador de la cartelera | EventId              |

**Si desea ver solo la información de una cartelera en particular, puede pasar la ID del evento, es decir:**

`https://dde-api.data.imgarena.com/mma/fightcards/{id}`

Si desea devolver "fightcards" para un intervalo de fechas dado, esto se puede hacer pasando los parámetros dateFrom y dateTo. Ambos parámetros deben especificar una fecha en formato `AAAA-mm-dd`.

Además, deberá obtener una lista de peleas asociadas a la cartelera/evento Esto se puede hacer pasando el EventId para una cartelera mediante el punto final "Schedule" de IMG Arena UFC.

`https://dde-api.data.imgarena.com/mma/fightcards/{id}/schedule`

Tenga en cuenta los valores clave necesarios desde el punto final:

| **Punto final** | **Descripción**                                                       | **Enlace a sandbox** |
| --------------- | --------------------------------------------------------------------- | -------------------- |
| redTeam         | Un objeto que contiene información sobre el luchador del equipo rojo. | -                    |
| blueTeam        | Un objeto que contiene información sobre el luchador del equipo azul. | -                    |
| fightId         | El número de ID de la pelea.                                          | fightId              |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.sportradar.com/ufc-5.0/ufc-5.0-latam-spanish/building-static-data.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
